# This configuration file was automatically generated by Gitpod.
# Please adjust to your needs (see https://www.gitpod.io/docs/config-gitpod-file)
# and commit this file to your remote git repository to share the goodness with others.

tasks:
  - name: Dev Server
    before: |
      curl -L https://download.jetbrains.com/fonts/JetBrainsMono-2.242.zip --output /tmp/JetBrainsMono.zip
      cd /tmp/
      unzip JetBrainsMono.zip
      sudo mv fonts/* /usr/share/fonts
      fc-cache -f -v
      cd ${GITPOD_REPO_ROOT}
    init: npm install && npm run build
    command: npm run start
# Ports to expose on workspace startup
ports:
  - port: 3000
    onOpen: open-browser
vscode:
  extensions:
    - gitlab.gitlab-workflow
    - pinage404.git-extension-pack
    - redhat.vscode-yaml
    - pinage404.git-extension-pack
    - bierner.markdown-preview-github-styles
    - DavidAnson.vscode-markdownlint
    - silvenon.mdx
    - esbenp.prettier-vscode
    - ecmel.vscode-html-css
    - zhuangtongfa.material-theme
    - PKief.material-icon-theme
    - oderwat.indent-rainbow
    - tomasvergara.vscode-fontawesome-gallery
